
#include "main.h"
#include "macplus.h"

#include <lib/log.h>


emstate_t *emstate_new ()
{
	emstate_t *em;

	em = malloc (sizeof (emstate_t));
	if (em == NULL) {
		return (NULL);
	}

	emstate_init (em, ini);

	return (em);
}

void emstate_init (emstate_t *em)
{
	em->step_size = 10000;
	em->mouse_override = 1;
	em->mouse_override_rate = 100;
}

extern void emstate_set (int index, int value)
{
	pce_log (MSG_DEB, "%i: %i", index, value);
}

extern int emstate_get (int index)
{
	return index;
}